Bug 154688 - sysutils/munin-node plugin http_loadtime wrong usage of mktemp
Summary: sysutils/munin-node plugin http_loadtime wrong usage of mktemp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-11 15:50 UTC by ob
Modified: 2011-02-15 00:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ob 2011-02-11 15:50:07 UTC
The plugin http_loadtime uses:

TMPDIR=`mktemp -d` || exit 1

in one place, where for FreeBSD it needs to be (f.e.)

TMPDIR=`mktemp -d /tmp/munin.http_loadtime.XXXXXX` || exit 1

so the plugin doesn't work out of the box.

Fix: 

TMPDIR=`mktemp -d` || exit 1

replaced by

TMPDIR=`mktemp -d /tmp/munin.http_loadtime.XXXXXX` || exit 1
How-To-Repeat: install munin-node and activate the plugin
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-02-13 01:55:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->des

Assign after fixing Synopsis.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-02-13 19:46:52 UTC
Responsible Changed
From-To: des->flo

Over to new maintainer.
Comment 3 dfilter service freebsd_committer 2011-02-15 00:12:02 UTC
flo         2011-02-15 00:11:56 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/munin-node  Makefile pkg-deinstall pkg-install 
    sysutils/munin-node/files 
                              patch-node-node.d.freebsd-coretemp.diff 
                              patch-node-node.d.freebsd-dev_cpu_.diff 
  Added files:
    sysutils/munin-node/files 
                              patch-plugins__node.d__http_loadtime.in 
  Log:
  - fix newsyslog entries, logs have been living in /var/log/munin for some
  time now [1]
  - fix http_loadtime plugin [2]
  - fix coretemp and dev_cpu plugins [3]
  
  PR:             ports/151182 [1], ports/154688 [2], ports/154584 [3]
  Submitted by:   Detlef Peeters <dp@heringa.de> [1]
                  Oliver Brandmueler <ob@e-gitt.net> [2]
                  Hiroki (REO) Kashiwazaki <reo@iic.hokudai.ac.jp> [3]
  
  Revision  Changes    Path
  1.40      +1 -1      ports/sysutils/munin-node/Makefile
  1.2       +3 -3      ports/sysutils/munin-node/files/patch-node-node.d.freebsd-coretemp.diff
  1.2       +3 -3      ports/sysutils/munin-node/files/patch-node-node.d.freebsd-dev_cpu_.diff
  1.1       +11 -0     ports/sysutils/munin-node/files/patch-plugins__node.d__http_loadtime.in (new)
  1.9       +3 -3      ports/sysutils/munin-node/pkg-deinstall
  1.9       +2 -2      ports/sysutils/munin-node/pkg-install
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Florian Smeets freebsd_committer 2011-02-15 00:15:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!